<template>
  <div class="tabs">
    <div class="tabs-container">
      <div
        v-for="(tab, index) in Object.keys(mapDateTitle) "
        :key="index"
        :class="[+tab === +currentDateTab ? 'tab--active' : 'tab']"
        @click="clickTab(+tab)"
      >
        {{ mapDateTitle[tab] }}
      </div>
    </div>
    <div class="bottom-line"></div>
  </div>
</template>
<script>
import { EVENTS } from '@/store/types'
import { mapDateTitle } from '@/helpers/index'
import { mapGetters } from 'vuex'
export default {
  name: 'Tabs',
  data: () => ({
    mapDateTitle
  }),
  computed: {
    ...mapGetters({
      currentDateTab: EVENTS.GETTER.GET_CURRENT_DATE_TAB
    })
  },
  methods: {
    clickTab (tab) {
      this.$store.commit(EVENTS.MUTATION.SET_CURRENT_DATE_TAB, tab)
    }
  }
}
</script>
<style lang="scss" scoped>
.tabs {
  width: 100%;
  margin-bottom: 100px;

  & .tabs-container {
    display: flex;
    justify-content: space-between;
    font-family: Montserrat;
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 22px;

    color: #0A1034;

    .tab {
      margin-bottom: 5px;
      display: flex;
      flex-direction: column;
      position: relative;
      width: 200px;
      text-align: center;
      cursor: pointer;
    }

    .tab--active {
      cursor: pointer;
      margin-bottom: 5px;
      display: flex;
      flex-direction: column;
      position: relative;
      width: 200px;
      text-align: center;
      &::after {
        content: " ";
        background-color: #222222;
        width: 200px;
        height: 6px;
        position: absolute;
        bottom: -10px;
        border-radius: 4px;
      }
    }
  }

  & .bottom-line {
    height: 5px;
    width: 100%;
    background: #DADADA;
    border-radius: 4px;
  }
}
</style>
